package _VisualDVM.Passes.All;
import Common.CommonConstants;
import Common.Utils.Utils_;
import Common.Visual.UI;
import _VisualDVM.Global;
import _VisualDVM.TestingSystem.SAPFOR.SapforPackage.SapforPackage;
public class CompareSapforPackageToEthalon extends CompareSapforPackages {
    @Override
    protected boolean canStart(Object... args) throws Exception {
        master = null;
        slave = null;
        //--
        target = Global.testingServer.db.sapforPackages.getUI().getSelectedOrCurrent();
        if (target.size() == 1) {
            SapforPackage sapforPackage = target.get(0);
            if (sapforPackage.ethalon_id == CommonConstants.Nan) {
                Log.Writeln_("Не найдено эталона для пакета " + Utils_.Brackets(sapforPackage.id) + " !");
                return false;
            }
            if (!Global.testingServer.db.sapforPackages.containsKey(sapforPackage.ethalon_id)) {
                Log.Writeln_("Эталон " + Utils_.Brackets(sapforPackage.ethalon_id) + " не найден!");
                return false;
            }
            SapforPackage ethalon = Global.testingServer.db.sapforPackages.get(sapforPackage.ethalon_id);
            master = ethalon;
            slave = sapforPackage;
            return true;
        } else
            return UI.Question("Отмечено более одного пакета. Желаете сравнить их") && super.canStart(args);
    }
}

